/* 
	OLIMEXINOSTM32 and MOD-RGB example
	
	This example ises the maple board
	to control the MOD-RGB module,which
	in turn controls the lights.
	
	If you have any questions, email
	support@olimex.com
	
	OLIMEX, February 2013
	https://www.olimex.com
	
*/

#include "MODRGB.h"

/* Define the delay */
#define SPEED 500

//Definitions for the OLIMEXINO-STM32
//For detailed information on this product,
//visit https://www.olimex.com
#define SDA 30
#define SCL 29

MODRGB modrgb(SDA, SCL);

void setup(){}   // Nothing to setup here. MODRGB init is
				 // handled within the class

void loop()
{  
  unsigned char R, G, B; 
  
  //The following cycles go through
  //all the colors.
  
  for(int i = 0; i < 256; i++)
  {
     R = i;
     G = 0;
     B = 255; 
     modrgb.SetRGB(R,G,B);
     delayMicroseconds(SPEED);
  }
  
  for(int i = 0; i < 256; i++)
  {
     R = 255;
     G = 0;
     B = 255-i; 
     modrgb.SetRGB(R,G,B);
     delayMicroseconds(SPEED);
  }
  
  for(int i = 0; i < 256; i++)
  {
     R = 255;
     G = i;
     B = 0; 
      modrgb.SetRGB(R,G,B);
     delayMicroseconds(SPEED);
  }
  
  for(int i = 0; i < 256; i++)
  {
     R = 255-i;
     G = 255;
     B = 0; 
     modrgb.SetRGB(R,G,B);
     delayMicroseconds(SPEED);
  }
  
  for(int i = 0; i < 256; i++)
  {
     R = 0;
     G = 255;
     B = i; 
     modrgb.SetRGB(R,G,B);
     delayMicroseconds(SPEED);
  }
  
  for(int i = 0; i < 256; i++)
  {
     R = 0;
     G = 255-i;
     B = 255; 
     modrgb.SetRGB(R,G,B);
     delayMicroseconds(SPEED);
  }
}
